Bug 56482 - Installer locks up when entering disk druid - corrupt partition table
Installer locks up when entering disk druid - corrupt partition table
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-19 13:25 EST by Ed Hill
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-18 00:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2001-11-19 13:25:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
When the partition table on a disk is corrupted, using disk 
druid as part of the RH7.2 install will lock up completely. 
However, RH6.2 will gracefully handle the situation by 
reporting that the partition table is corrupted and allowing 
the user to wipe the partition table (correctly warning that 
all data on disk will be lost) and start over.

Clearly, the RH6.2 ver of Disk Druid is doing the right 
thing while something is the matter with the 7.2 version 
of Disk Druid.
I have been able to reproduce this problem on two different 
ATA disks (IBM DTTA and DJNA models) on an ASUS P2B mother-
board.  The partition tables were corrupted during a botched 
attempt to create a multi-boot machine.  However, I think 
the reason *why* the partition tables were corrupted is 
irrelevant--the older RH6.2 version of Disk Druid was able to recognize and
deal with the corruption while the newer 
RH7.2 Disk Druid produced a hard (could _not_ switch to any 
virtual terminals, etc.) lock-up and no errors or warnings.

Please look at the Disk Druid code that parses the partition 


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create corrupted partition table on hard disk
2. Run Disk Druid on RH7.2 as part of install process
3. Get hard lock-up.

Actual Results:  hard lock-up (could not switch virtual terminals)

Expected Results:  Disk Druid should identify corrupt partition table 
(which RH6.2 ver of Disk Druid did nicely!) and give 
user option to fix it.

Additional info:
Comment 1 Matt Wilson 2002-03-12 16:51:40 EST
I can't reproduce any sort of hard hangups with corrupted partition tables.  How
are you corrupting the partition tables?  What kind of hardware are you using? 
Does the numlock key still toggle the numlock LED?
Comment 2 Ed Hill 2002-03-18 00:35:58 EST
I wish I could re-do the install just to reproduce this problem (and mail you a
copy of the broken partition table) but the system is now in use and I can't
afford the down-time.  Thank you for taking a look at this issue.  Ed
Comment 3 Michael Fulbright 2002-03-28 17:17:14 EST
We understand please reopen this issue is you see the problem resurface.

Note You need to log in before you can comment on or make changes to this bug.